View Issue Details

IDProjectCategoryView StatusLast Update
0006053Talerauditorpublic2020-03-31 16:04
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.7.0Fixed in Version0.7.0 
Summary0006053: recoup not tested in test-auditor.sh
DescriptionWe need to test the recoup logic (including variations, like zombie coins) in the test-auditor.sh. For this, the wallet-core integrationtest logic needs to be extended to support an integration test involving recoup.

Until this is properly tested, nobody should believe that it works ;-).
TagsNo tags attached.

Activities

Christian Grothoff

2020-03-27 11:31

manager   ~0015466

recoup is now tested in test-revocation.sh

Issue History

Date Modified Username Field Change
2020-01-19 21:53 Christian Grothoff New Issue
2020-01-19 21:53 Christian Grothoff Status new => assigned
2020-01-19 21:53 Christian Grothoff Assigned To => Florian Dold
2020-03-27 11:31 Christian Grothoff Note Added: 0015466
2020-03-27 11:31 Christian Grothoff Fixed in Version => 0.7.0
2020-03-27 11:31 Christian Grothoff Target Version 0.7.1 => 0.7.0
2020-03-27 11:31 Christian Grothoff Assigned To Florian Dold => Christian Grothoff
2020-03-27 11:31 Christian Grothoff Status assigned => resolved
2020-03-27 11:31 Christian Grothoff Resolution open => fixed
2020-03-31 16:04 Christian Grothoff Status resolved => closed